x

Search in
Sort by:

Question Status:

Search help

  • Simple searches use one or more words. Separate the words with spaces (cat dog) to search cat,dog or both. Separate the words with plus signs (cat +dog) to search for items that may contain cat but must contain dog.
  • You can further refine your search on the search results page, where you can search by keywords, author, topic. These can be combined with each other. Examples
    • cat dog --matches anything with cat,dog or both
    • cat +dog --searches for cat +dog where dog is a mandatory term
    • cat -dog -- searches for cat excluding any result containing dog
    • [cats] —will restrict your search to results with topic named "cats"
    • [cats] [dogs] —will restrict your search to results with both topics, "cats", and "dogs"

Office Holiday

Epic Games' offices will be on holiday from June 22nd to July 7th. During this period support will be limited. Our offices will reopen on Monday, July 8th. 

Launch to Android Fails Every Time Same Error.

First off I'll say I've had this problem for over a year now, I've been working on a mobile game and now that I'm nearing the end I've been trying to launch it on my phone and test it. I've tried launching 4 separate projects one of which I tried in both version 4.14 and 4.17, the other 3 only in 4.17, one of those 3 also was a brand new blank project that I followed the steps word for word from the Launching Documentation provided by Unreal. Never have gotten it to work. I have all of my settings set to what seems to be correct or blank so they're the default and my Codeworks has to be installed correctly because I installed everything from the 1r6u1 version and in the engine, the directories are set to the correct location. The project that I'm showing the error from here is in API 23 (because that's minimum requirement for 4.17). I've tried launching with all different setting and always the same error. I've tried launching different quality settings (ASTC, ETC and all), I've noticed the "armeabi-v7a" part of the error and I've tried running on arm64-v8a and same exact error except 'armeabi-v7a' changes to 'arm64-v8a'. I've tried everything, even hours of google searching and Youtube videos... Nothing works. My only idea now is that my phone isn't supported, it'd be nice if Unreal created a list of all supported phones for Android. I can't imagine my phone isn't supported its a 'ZTE Axon 7' it's a 2017 high-end phone, so I don't know why it wouldn't be compatible but that's my only explanation at this point. Please please please any help would be very much appreciated! And please don't just link me to another form, because I've spent enough time looking through them, unless it directly solves my exact problem. I'd rather receive direct help.

The Line of Error (the only error):
Program.Main: ERROR: AutomationTool terminated with exception: ERROR: D:/Game Development/CodeWorks/1R6u1/android-ndk-r12b/ndk-build.cmd failed with args APP_ABI="armeabi-v7a " NDK_DEBUG=1

alt text

Product Version: UE 4.17
Tags:
screenshot-13.png (146.7 kB)
more ▼

asked Oct 20 '17 at 10:51 AM in Packaging & Deployment

avatar image

FyrxStudio
42 2 4 10

(comments are locked)
10|2000 characters needed characters left
Viewable by all users

1 answer: sort voted first

First, you dont have anything on Android Package Name, dont know if thats the issue but you should fill that one, next have you tried using 23 in mininum an 26 on target ???

Next, could you share a screenshot of the section where you set the paths?? this one:

alt text

Try setting NDK and SDK to latest and i used to have a lot of problems when i tried building without running as admin so maybe try running the editor as admin

Also will be helpful if you share a full error log, that line of error i think is not where the problem is

image.png (286.8 kB)
more ▼

answered Oct 20 '17 at 08:55 PM

avatar image

Daher
266 4 4 5

avatar image FyrxStudio Oct 20 '17 at 11:54 PM

I've tried the Package name blank & filled, no difference. I tried API 23 minimum and 26 recommended, no difference. I've tried setting NDK to all different versions, no difference, on latest no difference either. and APK has been on 'matchndk' every time. And as for running as Admin, I don't know how to run the editor as administrator, I launched the Unreal Engine Launcher as an administrator, maybe that runs the editor as admin also? I'm not sure, but with launcher run as admin, no difference. Thanks

Heres SDK page:alt text

Heres full output log: Click Here

screenshot-14.png (108.8 kB)
output-log.txt (466.3 kB)
avatar image Daher Oct 21 '17 at 12:14 AM

Ok so the NDK path need to be a path with no spaces, you have it on the folder "Game Development", move the NDK to another path without spaces, then update the enviroment paths on windows and the paths on the Android SDK screen in unreal

avatar image FyrxStudio Oct 21 '17 at 07:10 PM

WOW, so after over a year and hours wasted, it was A SPACE that caused the problem! I cannot believe it, I should've thought of that cause spaces usually ruin things but its just so miniscule I didn't realize. It is working right now, it's currently finished the 'Launching on "--------" step of launching and the game is on my phone screen currently so It's working now. THANKS. I'll still go through what I did though, first I changed the path to one without spaces then I tried it without changing the environment variables and It went past where it was messing up last time and then had another error of something about 'Apache-ANT' and a line above the error it said something like 'problem with target version 'Android-19', but I was trying to launch it as 23 or 24 so then I went and changed all the environment variables and I got that exact same error, so I don't know that I actually had to change them. After I tried a few different configs and still kept getting that same new error I finally tried setting the NDK to android-19 since that's what it said, and that's where I'm at now with the game on my phone screen, finishing up (been going for 1 hour 30 min so far). I don't understand why it has to be on android-19 though... my Phone is Android version 7.1.1 so Android N or api 24. And I read somewhere I think from inside the engine itself, it said using ue4.17 required no less than android-23 so why does it work on 19? idk, but its working so yay! But I can't thank you enough for such the simple problem! Thank you thank you thank you

avatar image Daher Oct 21 '17 at 07:26 PM

Glad that it worked, about the problem of android-19 i dont know what could be causing that, i work with android 23 to up and never had that problem

Good luck with your projects!

(comments are locked)
10|2000 characters needed characters left
Viewable by all users
Your answer
toggle preview:

Up to 5 attachments (including images) can be used with a maximum of 5.2 MB each and 5.2 MB total.

Follow this question

Once you sign in you will be able to subscribe for any updates here

Answers to this question